Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-85684

Invalid file format when building from git on Linux

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Not Evaluated
    • Resolution: Invalid
    • Affects Version/s: 5.14.0
    • Fix Version/s: None
    • Component/s: Build System
    • Labels:
      None
    • Platform/s:
      Linux/X11

      Description

      Hello,

      I'm trying to build at last commit of Qt Git source code (cloned from git://code.qt.io/qt/qt5.git) and if I do not change file format I have following error:

      {{}}

      bash: ../qt5/configure: /bin/sh^M: bad interpreter

      {{}}

      Since I don't know which files are affected (I know there are at least configure and qtbase/configure but probably others since changing for them only does not make it work).

      If a fix is too complicated it would be good to at least put a line inĀ https://wiki.qt.io/Building_Qt_5_from_Git to say which files are affected an how to fix them, for now I convert all files to be sure, with following command (after perl init-repository):

      find . -type f -name "*" -exec dos2unix '{}' +

      Thanks.

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            qtbuildsystem Qt Build System Team
            Reporter:
            gluttony Gluttony P.
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes